Subject: bug#10304: display bug (was: bug#14704: 24.3.50; cl-lib breaks built-in Emacs version)

From: Michael Albinus <[email-masked]>
Date: Tue, 25 Jun 2013 20:27:08 +0200

Eli Zaretskii <[email-masked]> writes:

> Weird.  This is different from what you described before: here, only a
> part of a line is left un-updated.

This is, because it is at the end of the buffer. Usually, we shall see
nothing there; but we see the wrong character in the first column.

The other behaviour I've reported is still evident.

> Do you see anything like that in modes other than Gnus?  Any chance of
> a simple reproducing recipe?

On that machine it happens often, mostly when there is pageup/pagedown.
It's not restricted to Gnus; it could happen in any buffer. Meanwhile, I
am used to apply mwheel-scroll whenever it happens; the redisplay makes
the buffer readable.

Since this is the only machine where it happens, I feel helpless giving
you a simple recipe. The better way might be that you give me a special
patch producing whatever traces could help in analysis.

Best regards, Michael.